Find_Pixel:             ;This is an edited EBLE-YOPP routine
  push bc
  push de               ;faster than the eble yopp routine by 04 t-states       

  ld de,offsets_table
  ld a,b                 
  and %00000111          
  add a,e                        
  ld e,a                ; Apply changes to L
  adc a,d               ; Adds the carry flag. 
  sub e                 ; Subtracts L
  ld d,a                ; Apply changes to H
                      
  ld hl,FP_RLD          ; HL points to FP_RLD
  ld (hl),c             ; FP_RLD = Y
  ld a,b                ; A = X
  rra                   ; /2
  rra                   
  rra                   ; /8
  rld                   
  and %00000011   
  ld l,(hl)                             
  ld h,a           
  ld a,(de)       
  pop de
  pop bc
  ret                   ; holy ... that was fast..
offsets_table: .db 128,64,32,16,8,4,2,1
FP_RLD:	.db 0		; temp byte needed but doesn't have to be in program